/* Font Styles */
@font-face {
  font-family: "SF Mono";
  src: url('../fonts/SFMono-Medium.ttf');
}

@font-face {
  font-family: "Calibre Medium";
  src: url('../fonts/Calibre-Medium.ttf');
}

.digital {
  font-family: "SF Mono";
}

.calibre {
  font-family: "Calibre Medium";
}

.sans {
  font-family: Verdana, sans-serif;
}

/* Header Styles */
h1 a {
  color: #fff;
  font-size: 2em;
  text-decoration: none;
  display: inline-block;
  position: relative;
  opacity: 0.5;
}

/* Gradient Line Animation */
.gradient-line {
  width: 50%;
  height: 3px;
  background: linear-gradient(90deg, #57b947, #009ad6);
  background-size: 200% 100%;
  background-repeat: no-repeat;
  animation: Gradient 10s cubic-bezier(0.445, 0.05, 0.55, 0.95) infinite;
}

@keyframes Gradient {
  0% {
    background-position: 0 50%;
  }
  100% {
    background-position: 100% 50%;
  }
}

/* Typewriter Text Animation */
.typewriter {
  color: #fff;
  font-weight: bold;
  position: relative;
  transform: translateY(10%);
  margin-bottom: 50px;
  font-size: 3rem; 
  white-space: nowrap; 
}

.typewriter span {
  color: #fff;
  text-transform: uppercase;
  padding: 10px;
  border-right: solid #fff 7px;
  animation: cursor 1.5s ease-in-out infinite, typing 5s steps(15) infinite;
}

/* Media Queries */
@media (max-width: 576px) {
  .typewriter span {
    white-space: normal; 
  }
  
  .typewriter span {
    padding: 3px; 
    border-right: solid #fff 3px;
    animation: cursor 1.5s ease-in-out infinite, typing 4s steps(8) infinite;
  }
}


.post-entry-1 {
  border-radius: 4px;
  box-shadow: 0 6px 10px rgba(0, 0, 0, .08), 0 0 6px rgba(0, 0, 0, .05);
  transition: .3s transform cubic-bezier(.155, 1.105, .295, 1.12), .3s box-shadow, .3s -webkit-transform cubic-bezier(.155, 1.105, .295, 1.12);
  cursor: pointer;
  position: relative;
  margin-bottom: 30px;
}

.post-entry-1:hover {
  transform: translateY(-10px);
  box-shadow: 0 10px 20px rgba(0, 0, 0, .12), 0 4px 8px rgba(0, 0, 0, .06);
}

.post-entry-1 h4 {
  font-weight: 600;
}

.post-entry-1 img {
  position: absolute;
  top: 20px;
  right: 15px;
  max-height: 80px;
}
/* Header Link Underline Styles */
.hobby-link a,
.contact-link a {
  position: relative;
  display: inline-block;
  color: white;
  text-decoration: none;
}

.hobby-link a::before,
.contact-link a::before {
  content: "";
  position: absolute;
  width: 0;
  height: 2px;
  bottom: -2px;
  left: 50%;
  background-color: #3498db;
  visibility: hidden;
  transform: translateX(-50%) scaleX(0);
  transition: transform 0.3s ease-in-out, visibility 0.3s ease-in-out, width 0.3s ease-in-out;
}

.hobby-link a:hover::before,
.contact-link a:hover::before {
  visibility: visible;
  width: 100%;
  transform: translateX(-50%) scaleX(1);
}

/* Animation for Underline */
.hobby-link a::after,
.contact-link a::after {
  content: "";
  position: absolute;
  width: 0;
  height: 2px;
  bottom: -2px;
  left: 50%;
  background-color: #8fbbd8;
  visibility: hidden;
  transform: translateX(-50%) scaleX(0);
  transition: transform 0.3s ease-in-out, visibility 0.3s ease-in-out, width 0.3s ease-in-out;
}

.hobby-link a:hover::after,
.contact-link a:hover::after {
  visibility: visible;
  width: 100%;
  transform: translateX(-50%) scaleX(1);
}

.video-background {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 780px;
  object-fit: cover;
  z-index: -1;
  opacity: 0.2; /
}

.dark-modal {
  background-color: #031126; 
  color: white; 
}

.dark-modal img {
  margin-top: 20px; 
}

/* Media Queries */
@media (max-width: 991.98px) {
  .text-white.mb-3 {
    font-size: 1.5rem; 
  }
  
  .lead.text-stagreen.digital {
    font-size: 1rem; 
  }
}

/* Skills bar container */
.skills-bar-container {
  position: relative;
  width: 40%;
  min-width: 300px;
  left: 50%;
  transform: translate(-50%, -50%);
  list-style: none;
}

.skills-bar-container  {
  position: relative;
  width: 100%;
  margin-bottom: 10px;
}

.skills-bar-container .progressbar-title {
  color: var(--progressbar-title-color);
}

.skills-bar-container .progressbar-title h3 {
  display: inline-block;
}

.skills-bar-container .progressbar-title .percent {
  position: absolute;
}


.skills-bar-container .bar-container {
  background: #555;
  position: relative;
  width: 100%;
  height: 5px;
  margin-top: 5px;
  display: block;
  border-radius: 5px;
}

.skills-bar-container .bar-container .progressbar {
  position: absolute;
  width: 0%;
  height: 100%;
  border-radius: 5px;
  animation-duration: 2s;
  animation-timing-function: ease-out;
  animation-fill-mode: both;
}

#progress-html {
  animation-name: progress-html;
  animation-delay: var(--animation-delay);
}

#progress-css {
  animation-name: progress-css;
  animation-delay: calc(var(--animation-delay) * 2);
}

#progress-javascript {
  animation-name: progress-javascript;
  animation-delay: calc(var(--animation-delay) * 3);
}

#progress-php {
  animation-name: progress-php;
  animation-delay: calc(var(--animation-delay) * 4);
}

#progress-angular {
  animation-name: progress-angular;
  animation-delay: calc(var(--animation-delay) * 5);
}

/* Progress bar colors */
.progressred {
  background: linear-gradient(to right, #ff6b6b, #ff8d8d);
}

.progressblue {
  background: linear-gradient(to right, #3498db, #5db5ff);
}

.progresspurple {
  background: linear-gradient(to right, #9b59b6, #bb8fce);
}

.progressorange {
  background: linear-gradient(to right, #e67e22, #f39c12);
}

.progressgreen {
  background: linear-gradient(to right, #27ae60, #2ecc71);
}

/* Keyframes */
@keyframes progress-html {
  0% {
    width: 0%;
  }
  100% {
    width: 95%;
  }
}

@keyframes progress-css {
  0% {
    width: 0%;
  }
  100% {
    width: 85%;
  }
}

@keyframes progress-javascript {
  0% {
    width: 0%;
  }
  100% {
    width: 80%;
  }
}

@keyframes progress-php {
  0% {
    width: 0%;
  }
  100% {
    width: 95%;
  }
}

@keyframes progress-angular {
  0% {
    width: 0%;
  }
  100% {
    width: 75%;
  }
}
